/*
Theme Name: TDSC Child
Theme URI: https://thesulfurgroup.com
Author: Sulfur
Author URI: https://thesulfurgroup.com
Template: rosa
Description:  TDSC is an enchanting and easy-to-use parallax Restaurant WordPress theme that allows you to tell your story in a dynamic, narrative and enjoyable way, making it perfect for restaurants, bakeries, bars or coffee shops.
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: rosa
Tags: black, orange, light, one-column, two-columns, right-sidebar, flexible-width, custom-header, custom-menu, editor-style, featured-images, microformats, sticky-post, translation-ready
*/

/* Add your custom CSS rules that overwrite the ones in the main Lens theme here */

/* This file assumes you wish to add new CSS rules that will overwrite the ones in the parent's CSS files
If you wish however, you can copy the whole style.css file from the parent here and hack at it - see functions.php for more details.
In that case please remember that you still need to retain the header above (replace the header of the parent style.css with the one above),
specifically the 'Template: rosa' line. */


@import url("../rosa/style.css");

@font-face {
    font-family: neutraface light;
    src: url('/wp-content/themes/rosa-child/fonts/Neutraface2Display-Light.otf');
    font-weight: normal;
}

@font-face {
    font-family: gilroy light;
    src: url('/wp-content/themes/rosa-child/fonts/Gilroy-Light.otf');
    font-weight: normal;
}
/*
-----------------------------------------------------
Home Page ID 205
-----------------------------------------------------
*/

/*Heading background image*/
/*
.page-id-205 header#post-205-title .c-hero__background.c-hero__layer.rellax-element img.c-hero__image {
    filter: brightness(80%);
}
*/

/*Menu Section: 4 left corner captions on these 4 images*/
.page-id-205 figcaption.wp-caption-text.gallery-caption {
    display: none;
}

/*- Food description on menu page
  - Subtitle under main title in first section
  - Link with underline on each section
  - Footer top section: two title
*/
.page-id-69 span.desc__content,
.page-id-205 hgroup.article__headline div.headline__description h5,
.island.grid__item.six-twelfths.palm-one-whole p a,
aside.sidebar h4.widget__title.widget--menu__title {
    font-family: "gilroy light";
}

/*Slider bullet color on regular mode(not inverse)*/
.page-id-205 .c-bully {
    color: #643510;
}

/*Slider bullet color on inverse mode */
.page-id-205 .c-bully--inversed {
    color: #FFF !important;
}





/*- Menu when not on top font color
  - Footer top paragraph
  - Footer top title*/
.headroom--not-top .nav--main a,
.textwidget,
aside.sidebar h4.widget__title.widget--menu__title {
     color: #643510 !important;
}






/*  - Explore button background color when hovering
    - Footer bottom background*/
.page-id-205 a.pixcode.pixcode--btn.btn.btn--small.button--light:hover,
.copyright-area.copyright-area__dark{
    background-color: #eed898;
}

/*  - Footer top background*/
.sidebar--footer__dark {
    background-color: #d3ccbd;
}

/*- Food item name on menu page
  - Heading for each section
  - Navigation
  - Explore button on first section on Home page
  - Paragraph on each section except footer
  - Footer top text (p)*/

.page-id-69 li.menu-list__item h4,
h1.headline__primary,
nav#js-navigation--main ul li a,
.page-id-205 a.pixcode.pixcode--btn.btn.btn--small.button--light,
.page-id-205 .island.grid__item.six-twelfths.palm-one-whole p,
.textwidget {
    font-family: "neutraface light";
}

/*- Paragraph on each section except footer*/
.page-id-205 .island.grid__item.six-twelfths.palm-one-whole p {
    font-size: 1.3em;
}

/*Footer middle 'To The Top' SVG*/
.copyright-area svg path {
    fill: #643510;
}


/*Menu hover*/
nav#js-navigation--main ul li a:hover {
    color: #000;
}

/*Biggest titles in each section*/
.headline__secondary {
    font-family: "neutraface light" !important;
    font-size: 80px;
    margin-bottom: 0 !important;
}


/*Footer top first widget*/
aside.sidebar {
    text-align: center;
    padding-top: 30px;
    padding-bottom: 0;
}


/*Newsletter Container*/
.input-group {
    max-width: 250px;
}
/*Newsletter input placeholder text*/
input.form-control::placeholder {
    font-size: 1.3em !important;
}

/*Home page  first letter position of each title*/
.headline__secondary .first-letter {
    top: 2px !important;
}

/*header background image dim */
img.c-hero__image {
    -moz-filter: brightness(50%);
    -webkit-filter: brightness(50%);
}

/*Navigation: first link on OURMENU border-bottom*/
li#menu-item-687 > a:after {
    border-bottom: none;
}

/*News Letter position to right on footer top area*/
div#text-5 {
    float: right;
    margin-top: -150px;
}

/*Footer top section clearfix after newsletter widget float*/
aside.sidebar:after {
    content: "";
    visibility: hidden;
    display: block;
    height: 0;
    clear: both;
}

/*Footer top widgets vertical alignment*/
.footer-widget-area .widget {
    vertical-align: top !important;
}

/*Social menu on footer top area*/
div#nav_menu-3 {
    margin-bottom: 0;
}

/*Footer bottom box height*/
.copyright-area {
    padding: 25px 0 5px 0 !important;   
}

/*Footer bottom columns spacing*/
.footer-widget-area .widget {
    padding: 0 40px !important;
}

/*Footer bottom columns text (not title)*/
.textwidget p {

    font-size: 1.2em;
}


h1.headline__primary {
    letter-spacing: 2px;
}

/*Footer top: Reduce space to allow yelp icon to be fitted on the same line*/
[class*="social"] > ul a {
    padding: 0.5rem 1.2rem !important;
}

.page-id-116 .map-tooltip__content{
    padding: 0 0 !important;
    background: transparent;
}

.page-id-116 .map-tooltip__content:after {
    top: 95%;
    border-top-color: #fff;
}


@media only screen and (max-width: 899px){
    /*Newsletter widget on footer top area fix*/
    div#text-5 {
        margin-top: 50px !important;
    }
}


/** Rosa Theme: Menu List **/
.menu-list__item-title {
    padding-left: 65px;
    position: relative;   
}
p.menu-list__item-desc {
    padding-left: 65px;
}
.rosa-thumbnail {
    border-radius: 5px;
    display: block;
    height: 50px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    width: 50px;
}
.rosa-thumbnail > img {
    border-radius: 5px;
    display: block;
    height: 100%;
    margin: auto;
    object-fit: cover;
    object-position: center;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
}

/** Page: https://thedimsumco.com/menu/ **/
.pixcode--btn-group-order-pickup .pixcode--grid > .grid__item:nth-child(1),
.pixcode--btn-group-order-pickup .pixcode--grid > .grid__item:nth-child(2) {
    margin-bottom: 15px;
    text-align: center;
}
@media (min-width: 900px) {
    .pixcode--btn-group-order-pickup .pixcode--grid > .grid__item:nth-child(1) { text-align: right; }
    .pixcode--btn-group-order-pickup .pixcode--grid > .grid__item:nth-child(2) { text-align: left; }
}



/** Matrix Add-ons **/
.matrix.no-border,
.matrix.no-border > li {
    border: 0;
}
.matrix.matrix-flex {
    display: flex;
    flex-flow: row wrap;
    list-style: none;
    margin: 0;
    padding: 0;
}
.matrix.matrix-flex > li {
    flex: 0 0 100%;
    max-width: 100%;
    width: auto;
}
.matrix.matrix-flex.three-cols > li {
    flex: 0 0 33.33%;
    max-width: 33.33%;
    width: auto;
}

/** Button **/
body .btn.btn--text {
    border-color: #eed898;
    color: #eed898;
}
body .btn.btn--text:hover {
    color: #c9b782;
}